Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.gazetteer
Class HierarchyNode

    java.lang.Object
      org.deegree.portal.standard.gazetteer.HierarchyNode

    public class HierarchyNode

extends Object

TODO add class documentation here

Version:
  $Revision: 22457 $, $Date: 2010-02-09 12:58:22 +0100 (Di, 09. Feb 2010) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Constructor Summary
`HierarchyNode(QualifiedName featureType, Map<String,String> properties, String name, boolean freeSearch)`
`HierarchyNode(QualifiedName featureType, Map<String,String> properties, String name, boolean freeSearch, boolean stricMode, boolean matchCase)`

Method Summary
`HierarchyNode` | `getChildNode()`
`QualifiedName` | `getFeatureType()`
`String` | `getName()`
`Map<String,String>` | `getProperties()`
`boolean` | `isMatchCase()`
`boolean` | `isStricMode()`
`void` | `setChildNode(HierarchyNode childNode)`
`boolean` | `supportFreeSearch()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchyNode

    public HierarchyNode(QualifiedName featureType,
                         Map<String,String> properties,
                         String name,
                         boolean freeSearch)

Parameters:
  `featureType` -
  `properties` -
  `name` -
  `freeSearch` -

### HierarchyNode

    public HierarchyNode(QualifiedName featureType,
                         Map<String,String> properties,
                         String name,
                         boolean freeSearch,
                         boolean stricMode,
                         boolean matchCase)

Parameters:
  `featureType` -
  `properties` -
  `name` -
  `freeSearch` -
  `stricMode` -
  `matchCase` -

Method Detail

### getFeatureType

    public QualifiedName getFeatureType()

  Returns:
    the featureType

### getName

    public String getName()

  Returns:
    the name

### getChildNode

    public HierarchyNode getChildNode()

  Returns:
    the childNode

### setChildNode

    public void setChildNode(HierarchyNode childNode)

  Parameters:
    `childNode` - the childNode to set

### supportFreeSearch

    public boolean supportFreeSearch()

  Returns:
    true if type supports a free text search; false if just selection from a list is supported

### getProperties

    public Map<String,String> getProperties()

  Returns:
    property names assigned to a well known gazetteer properties.

### isStricMode

    public boolean isStricMode()

  Returns:
    the stricMode

### isMatchCase

    public boolean isMatchCase()

  Returns:
    the matchCase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org